Bug 1987400 - cbmc: FTBFS in Fedora rawhide/f35
Summary: cbmc: FTBFS in Fedora rawhide/f35
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: cbmc
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vincent Mihalkovič
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F35FTBFS
TreeView+ depends on / blocked
 
Reported: 2021-07-29 14:42 UTC by Fedora Release Engineering
Modified: 2021-08-05 09:49 UTC (History)
3 users (show)

Fixed In Version: cbmc-5.35.0-1.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-05 09:49:53 UTC
Type: ---


Attachments (Terms of Use)
build.log (32.00 KB, text/plain)
2021-07-29 14:42 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2021-07-29 14:42 UTC, Fedora Release Engineering
no flags Details
state.log (954 bytes, text/plain)
2021-07-29 14:43 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2021-07-29 14:42:48 UTC
cbmc failed to build from source in Fedora rawhide/f35

https://koji.fedoraproject.org/koji/taskinfo?taskID=72330297


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild
Please fix cbmc at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
cbmc will be orphaned. Before branching of Fedora 36,
cbmc will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2021-07-29 14:42:54 UTC
Created attachment 1807246 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2021-07-29 14:42:58 UTC
Created attachment 1807247 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2021-07-29 14:43:00 UTC
Created attachment 1807248 [details]
state.log

Comment 4 Fedora Release Engineering 2021-08-01 04:24:57 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 35.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-09-23).

A week before the mass branching of Fedora 36 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 34 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-36/f-36-key-tasks.html


Note You need to log in before you can comment on or make changes to this bug.